Skip to main content
PATCH
/
api
/
folders
/
{id}
Update a folder
curl --request PATCH \
  --url https://convertly.sh/api/folders/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "folder": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "color": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Authorizations

Authorization
string
header
required

Dashboard-generated Convertly API key. Keys currently begin with cvly_.

Path Parameters

id
string<uuid>
required

Body

application/json

At least one of name or parentId must be provided.

name
string
Minimum string length: 1
parentId
string<uuid> | null

Response

Updated folder

folder
object